Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040RegionOfInterestValue

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, INT1, org.eclipse.emf.common.notify.Notifier, QTY

All Known Implementing Classes:
  POCDMT000040RegionOfInterestValueImpl

    public interface POCDMT000040RegionOfInterestValue

extends INT1

A representation of the model object 'POCDMT000040 Region Of Interest Value'.

The following features are supported:

- `Unsorted`

See Also:
  `CDAR2Package.getPOCDMT000040RegionOfInterestValue()`

Method Summary
`boolean` | `isSetUnsorted()` Returns whether the value of the '`Unsorted`' attribute is set.
`boolean` | `isUnsorted()` Returns the value of the 'Unsorted' attribute.
`void` | `setUnsorted(boolean value)` Sets the value of the '`Unsorted`' attribute.
`void` | `unsetUnsorted()` Unsets the value of the '`Unsorted`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.INT1
`getValue, setValue`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isUnsorted

    boolean isUnsorted()

  Returns the value of the 'Unsorted' attribute. The default value is `"false"`.

  If the meaning of the 'Unsorted' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unsorted' attribute.
  See Also:
    `isSetUnsorted()`, `unsetUnsorted()`, `setUnsorted(boolean)`, `CDAR2Package.getPOCDMT000040RegionOfInterestValue_Unsorted()`

### setUnsorted

    void setUnsorted(boolean value)

  Sets the value of the '`Unsorted`' attribute.

  Parameters:
    `value` - the new value of the 'Unsorted' attribute.
  See Also:
    `isSetUnsorted()`, `unsetUnsorted()`, `isUnsorted()`

### unsetUnsorted

    void unsetUnsorted()

  Unsets the value of the '`Unsorted`' attribute.

  See Also:
    `isSetUnsorted()`, `isUnsorted()`, `setUnsorted(boolean)`

### isSetUnsorted

    boolean isSetUnsorted()

  Returns whether the value of the '`Unsorted`' attribute is set.

  Returns:
    whether the value of the 'Unsorted' attribute is set.
  See Also:
    `unsetUnsorted()`, `isUnsorted()`, `setUnsorted(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD